gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.FontExtentsT

Contents

- Exported types
- Methods
- Properties
  - ascender
  - descender
  - lineGap

Description

Font-wide extent values, measured in font units.

Note that typically `ascender` is positive and `descender` negative, in coordinate systems that grow up.

Synopsis

- newtype FontExtentsT = FontExtentsT (ManagedPtr FontExtentsT)
- newZeroFontExtentsT :: MonadIO m => m FontExtentsT
- getFontExtentsTAscender :: MonadIO m => FontExtentsT -> m Int32
- setFontExtentsTAscender :: MonadIO m => FontExtentsT -> Int32 -> m ()
- getFontExtentsTDescender :: MonadIO m => FontExtentsT -> m Int32
- setFontExtentsTDescender :: MonadIO m => FontExtentsT -> Int32 -> m ()
- getFontExtentsTLineGap :: MonadIO m => FontExtentsT -> m Int32
- setFontExtentsTLineGap :: MonadIO m => FontExtentsT -> Int32 -> m ()

# Exported types

newtype FontExtentsT Source #

Memory-managed wrapper type.

Constructors

FontExtentsT (ManagedPtr FontExtentsT) |

#### Instances

Instances details

Eq FontExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontExtentsT Methods (==) :: FontExtentsT -> FontExtentsT -> Bool Source # (/=) :: FontExtentsT -> FontExtentsT -> Bool Source #
BoxedPtr FontExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontExtentsT Methods boxedPtrCopy :: FontExtentsT -> IO FontExtentsT Source # boxedPtrFree :: FontExtentsT -> IO () Source #
CallocPtr FontExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontExtentsT Methods boxedPtrCalloc :: IO (Ptr FontExtentsT) Source #
ManagedPtrNewtype FontExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontExtentsT Methods toManagedPtr :: FontExtentsT -> ManagedPtr FontExtentsT Source #
tag ~ 'AttrSet => Constructible FontExtentsT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontExtentsT Methods new :: MonadIO m => (ManagedPtr FontExtentsT -> FontExtentsT) -> [AttrOp FontExtentsT tag] -> m FontExtentsT Source #

newZeroFontExtentsT :: MonadIO m => m FontExtentsT Source #

Construct a `FontExtentsT` struct initialized to zero.

# Methods

# Properties

## ascender

The height of typographic ascenders.

getFontExtentsTAscender :: MonadIO m => FontExtentsT -> m Int32 Source #

Get the value of the “`ascender`” field. When overloading is enabled, this is equivalent to

    get fontExtentsT #ascender

setFontExtentsTAscender :: MonadIO m => FontExtentsT -> Int32 -> m () Source #

Set the value of the “`ascender`” field. When overloading is enabled, this is equivalent to

    set fontExtentsT [ #ascender := value ]

## descender

The depth of typographic descenders.

getFontExtentsTDescender :: MonadIO m => FontExtentsT -> m Int32 Source #

Get the value of the “`descender`” field. When overloading is enabled, this is equivalent to

    get fontExtentsT #descender

setFontExtentsTDescender :: MonadIO m => FontExtentsT -> Int32 -> m () Source #

Set the value of the “`descender`” field. When overloading is enabled, this is equivalent to

    set fontExtentsT [ #descender := value ]

## lineGap

The suggested line-spacing gap.

getFontExtentsTLineGap :: MonadIO m => FontExtentsT -> m Int32 Source #

Get the value of the “`line_gap`” field. When overloading is enabled, this is equivalent to

    get fontExtentsT #lineGap

setFontExtentsTLineGap :: MonadIO m => FontExtentsT -> Int32 -> m () Source #

Set the value of the “`line_gap`” field. When overloading is enabled, this is equivalent to

    set fontExtentsT [ #lineGap := value ]